## org.eclipse.datatools.modelbase.sql.query
Interface UpdateSourceQuery

All Superinterfaces:
  SQLObject, SQLQueryObject, UpdateSource

All Known Implementing Classes:
  UpdateSourceQueryImpl

public interface UpdateSourceQuery
extends UpdateSource

A representation of the model object 'Update Source Query'.

The following features are supported:

- `Query Expr`

See Also:
  `SQLQueryModelPackage.getUpdateSourceQuery()`

Method Summary
`QueryExpressionBody` `getQueryExpr()` Returns the value of the 'Query Expr' containment reference.
`void` `setQueryExpr(QueryExpressionBody value)` Sets the value of the '`Query Expr`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.UpdateSource
`getUpdateAssignmentExpr, setUpdateAssignmentExpr`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getQueryExpr

    public QueryExpressionBody getQueryExpr()

  Returns the value of the 'Query Expr' containment reference. It is bidirectional and its opposite is '`Update Source Query`'.

  If the meaning of the 'Query Expr' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Query Expr' containment reference.
  See Also:
    `setQueryExpr(QueryExpressionBody)`, `SQLQueryModelPackage.getUpdateSourceQuery_QueryExpr()`, `QueryExpressionBody.getUpdateSourceQuery()`

### setQueryExpr

    public void setQueryExpr(QueryExpressionBody value)

  Sets the value of the '`Query Expr`' containment reference.

  Parameters:
    `value` - the new value of the 'Query Expr' containment reference.
  See Also:
    `getQueryExpr()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.